OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKPShape
PGeom

# PGeom_ElementarySurface Class Reference

`#include <PGeom_ElementarySurface.hxx>`

Inheritance diagram for PGeom_ElementarySurface:

[legend]

## Public Member Functions
Standard_EXPORT void | Position (const gp_Ax3 &aPosition)
| Set the field position with <aposition>. .
Standard_EXPORT gp_Ax3 | Position () const
| Returns the value of the field position. .
| PGeom_ElementarySurface (const Storage_stCONSTclCOM &a)
const gp_Ax3 & | _CSFDB_GetPGeom_ElementarySurfaceposition () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Protected Member Functions
Standard_EXPORT | PGeom_ElementarySurface ()
| Initializes the field(s) with default value(s). .
Standard_EXPORT | PGeom_ElementarySurface (const gp_Ax3 &aPosition)
| Initializes the fields with these values. .
## Protected Attributes
gp_Ax3 | position

## Constructor & Destructor Documentation

PGeom_ElementarySurface::PGeom_ElementarySurface | ( | const Storage_stCONSTclCOM & | a | ) | `[inline]`

Standard_EXPORT PGeom_ElementarySurface::PGeom_ElementarySurface | ( |  | ) | `[protected]`

Standard_EXPORT PGeom_ElementarySurface::PGeom_ElementarySurface | ( | const gp_Ax3 & | aPosition | ) | `[protected]`

## Member Function Documentation

const gp_Ax3& PGeom_ElementarySurface::_CSFDB_GetPGeom_ElementarySurfaceposition | ( |  | ) | const`[inline]`

Standard_EXPORT const PGeom_ElementarySurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PGeom_Surface. Reimplemented in PGeom_ConicalSurface, PGeom_CylindricalSurface, PGeom_Plane, PGeom_SphericalSurface, and PGeom_ToroidalSurface.

Standard_EXPORT gp_Ax3 PGeom_ElementarySurface::Position | ( |  | ) | const

Standard_EXPORT void PGeom_ElementarySurface::Position | ( | const gp_Ax3 & | aPosition | ) |

## Field Documentation

gp_Ax3 PGeom_ElementarySurface::position`[protected]`

The documentation for this class was generated from the following file:

- PGeom_ElementarySurface.hxx